/// <reference types="react" />
import { SsProps } from "../useSs";
import { Style } from "./Style";
import { TShirtSizes } from "../units/tshirts";
import WithChildren from "../WithChildren";
import WithHtmlAttributes from "../WithHtmlAttributes";
declare const ssProps: readonly ["bg", "radius"];
declare type IntrinsicElementNames = keyof JSX.IntrinsicElements;
interface TextStyle extends Style {
    font?: string;
    size?: TShirtSizes;
    align?: "left" | "center" | "right";
}
interface Props extends Pick<SsProps, typeof ssProps[number]>, WithChildren, WithHtmlAttributes, TextStyle {
    headingLevel?: 1 | 2 | 3 | 4 | 5 | 6;
    as?: IntrinsicElementNames;
}
export declare type TextProps = Props;
export declare const TextProvider: ({ children, ...props }: TextStyle & WithChildren) => import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: (props: Props) => import("@emotion/react/jsx-runtime").JSX.Element | null;
export default _default;
